<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white"
    >

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginBottom="10dp"

        android:background="@drawable/edit_text_bg_2"
        >

        <ImageView
            android:id="@+id/imageView2"
            android:layout_width="0dp"

            android:layout_height="wrap_content"
            android:layout_marginVertical="10dp"

            android:layout_marginStart="10dp"
            android:contentDescription="@string/phone_number"
            android:src="@drawable/ic_phone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.skydoves.powerspinner.PowerSpinnerView
            android:id="@+id/country_codes"
            android:layout_width="0dp"
            android:layout_height="wrap_content"

            android:background="@color/white_bg"

            android:gravity="center"

            android:padding="10dp"
            android:textColor="@color/black"
            android:textSize="14.5sp"

            app:fontFamily="@font/nunito_regular"

            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/imageView2"
            app:layout_constraintTop_toTopOf="parent"

            app:spinner_arrow_animate="true"
            app:spinner_arrow_drawable="@drawable/ic_down"
            app:spinner_arrow_gravity="end"
            app:spinner_arrow_padding="8dp"
            app:spinner_divider_color="@color/black"
            app:spinner_divider_show="true"
            app:spinner_divider_size="0.4dp"
            app:spinner_item_height="46dp"
            app:spinner_popup_animation="dropdown"
            app:spinner_popup_background="@drawable/edit_text_bg_2"
            app:spinner_popup_elevation="14dp"
            app:spinner_popup_max_height="200dp" />

        <EditText
            android:id="@+id/phone_number"
            android:layout_width="0dp"
            android:layout_height="wrap_content"

            android:autofillHints="phone"

            android:background="@android:color/transparent"
            android:ems="11"
            android:fontFamily="@font/nunito_regular"
            android:hint="@string/phone_number"
            android:inputType="number"

            android:padding="10dp"
            android:paddingVertical="15dp"

            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

            android:textColor="@color/black"
            android:textColorHint="@android:color/darker_gray"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/country_codes"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageButton
            android:layout_width="25dp"
            android:layout_height="25dp"
            android:src="@drawable/sub_check_drawable"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/phone_number"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</RelativeLayout>